<template>
	<img :src="require(`~/assets/images/${name}`)" :alt="isEurope ? 'Powered By Adyen' : 'Powered By Stripe'" />
</template>
<script>
import { mapState } from 'vuex';
export default {
	name: 'MkStripeIcon',
	props: {
		name: {
			type: String,
			default: 'd-2-c-icons-general-stripe-logo.svg',
		},
	},

	computed: {
		...mapState(['isEurope']),
	},
};
</script>
